<?php session_start();
	date_default_timezone_set('America/Bogota');
	//RESTRICCION DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
	if (isset($_SESSION['tipousuario'])){
		if ($_SESSION['tipousuario']=='1'){
			header ('location:menu_personal.php');
		}
	}

	if(trim($_SESSION['nombre_validar'])==''){
		header ('location:index.php');
	}

	include ("fphp.php");
	$enlace=cargar_conexion();
	menu();

  $detalle=$_REQUEST["detalle"];
  $pago=$_REQUEST["pago"];
  //pago=2022-07-15&detalle=01-07-2022%20al%2015-07-2022

  //$cestaTicketQuery = "SELECT CEDULA, p.nombres, p.apellidos,  p.cuenta, p.nacionalidad, MONTO, if(SUBSTR(p.cuenta,1,4)='0108','provincial','otro') banco FROM pagos_bono_alimen as pba INNER JOIN personal AS p ON pba.cedula = p.codigo WHERE pba.fecha = '".$pago."' AND pba.concepto ='7009' AND MONTO > 0 and pba.detalle ='".$detalle."' order by CEDULA ASC";


	  $cestaTicketQuery = "SELECT CEDULA, pba.id, p.nombres, p.apellidos,  p.cuenta, p.nacionalidad, MONTO, banco FROM pagos_bono_alimen as pba INNER JOIN personal AS p ON pba.cedula = p.codigo WHERE pba.fecha = '".$pago."' AND pba.concepto ='7009' AND MONTO > 0 and pba.detalle ='".$detalle."' AND pba.id = '".$_SESSION['id_validar']."' order by CEDULA ASC";

  $cestaTicketResultados = mysqli_query($enlace,$cestaTicketQuery) or die ("no se pudo realizar la consulta...");
  $n_registros_ct=mysqli_num_rows($cestaTicketResultados);
  $fecha_lote = date("dmY-His");

  $f = "bono_alimen_txt/bono_alimentacion_provincial-".$fecha_lote.".txt";
  //$fo = "bono_alimen_txt/bono_alimentacion_otros-".$fecha_lote.".txt";///Se cometó para sacar un txt unificado--- Miguelangel 13/07/22
  //$fileOtros = fopen($fo,"w+");///Se cometó para sacar un txt unificado--- Miguelangel 13/07/22
  $file = fopen($f,"w+");

	if ($_SESSION['id_validar']==104 ){
  for ($it=0; $it < $n_registros_ct ; $it++) {
    $row = mysqli_fetch_array($cestaTicketResultados);
    $cedula = $row['CEDULA'];
    $monto = str_replace('.','',$row['MONTO']);
    $concepto_monto = "BONO ALIMENTACION";
    $cuenta_banco = $row['cuenta'];
    $nacionalidad = $row['nacionalidad'];
    $nombres = preg_replace("/\s+/", " ", trim($row['nombres']." ".$row['apellidos']));

		/*
    if($row['banco'] === "provincial"){
      fwrite($file,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
      fwrite($file," ");//Constante
      fwrite($file,$nacionalidad); //Nacionalidad
      fwrite($file,str_pad($cedula, 10, "0", STR_PAD_LEFT)); //Número de cedula
      fwrite($file," ");//Constante
      fwrite($file,str_pad($monto, 15, "0", STR_PAD_LEFT)); //Monto a pagar
      fwrite($file," ");//Constante
      fwrite($file,str_pad($nombres, 35, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 35 caracteres
      fwrite($file,"\r\n"); //Nueva Linea
    }
    else{
      fwrite($fileOtros,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
      fwrite($fileOtros," ");//Constante
      fwrite($fileOtros,$nacionalidad); //Nacionalidad
      fwrite($fileOtros,str_pad($cedula, 10, "0", STR_PAD_LEFT)); //Número de cedula
      fwrite($fileOtros," ");//Constante
      fwrite($fileOtros,str_pad($monto, 15, "0", STR_PAD_LEFT)); //Monto a pagar
      fwrite($fileOtros," ");//Constante
      fwrite($fileOtros,str_pad($nombres, 35, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 35 caracteres
      fwrite($fileOtros,"\r\n"); //Nueva Linea
    }
		*/ ///Se cometó para sacar un txt unificado--- Miguelangel 13/07/22

		fwrite($file,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
		fwrite($file," ");//Constante
		fwrite($file,$nacionalidad); //Nacionalidad
		fwrite($file,str_pad($cedula, 10, "0", STR_PAD_LEFT)); //Número de cedula
		fwrite($file," ");//Constante
		fwrite($file,str_pad($monto, 15, "0", STR_PAD_LEFT)); //Monto a pagar
		fwrite($file," ");//Constante
		fwrite($file,str_pad($nombres, 35, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 35 caracteres
		fwrite($file,"\r\n"); //Nueva Linea
  }
  fclose($file);
	//fclose($fileOtros);///Se cometó para sacar un txt unificado--- Miguelangel 13/07/22

	}elseif ($_SESSION['id_validar']==105 ){
		$row = mysqli_fetch_array($cestaTicketResultados);
		$cedula = $row['CEDULA'];
		$monto = str_replace('.','',$row['MONTO']);
		$concepto_monto = "BONO ALIMENTACION";
		$cuenta_banco = $row['cuenta'];
		$nacionalidad = $row['nacionalidad'];
		$nombres = preg_replace("/\s+/", " ", trim($row['nombres']." ".$row['apellidos']));

		//Consulta monto total a pagar
		$query_monto_pagar = "SELECT SUM(monto) AS monto FROM pagos_bono_alimen WHERE concepto = '7009' AND id='".$_SESSION['id_validar']."' AND fecha = '".$pago."' AND monto > 0 and detalle ='".$detalle."'";
	 	$resul_monto_pagar = mysqli_query($enlace,$query_monto_pagar);
		$row_monto=mysqli_fetch_array($resul_monto_pagar);
		$monto_total_pagar = str_replace('.','',$row_monto['monto']); //Monto total a pagar, se le quita el signo punto

		//Consulta empleados a pagar
		$query_emp_pagar = "SELECT pba.cedula, pba.id, CONCAT (p.nombres, ' ', p.apellidos) as nombres,  p.cuenta, p.nacionalidad, p.tipo, pba.monto, banco FROM pagos_bono_alimen as pba INNER JOIN personal AS p ON pba.cedula = p.codigo WHERE pba.fecha = '".$pago."' AND pba.concepto ='7009' AND MONTO > 0 and pba.detalle ='".$detalle."' AND pba.id = '".$_SESSION['id_validar']."' order by CEDULA ASC";

	 	$resul_emp_pagar = mysqli_query($enlace,$query_emp_pagar);
		$cant_emp_pagar = mysqli_num_rows($resul_emp_pagar);

		$consultaEmpresa="select nombre from empresa where id='".$_SESSION['id_validar']."' ";
		$consultaEmpresa=mysqli_query($enlace,$consultaEmpresa) or die ($consultaEmpresa.mysqli_error($enlace));
		$rowEmpresa = mysqli_fetch_array($consultaEmpresa);
		$nombreEmpresa=$rowEmpresa['nombre'];
		////////////////**************************************

		$fecha_pago = date('d/m/y');
		$nombre_archivo = "bancos.txt";
		//$file = fopen($nombre_archivo, "w+");
		fwrite($file, "H");
		fwrite($file, $nombreEmpresa);
		fwrite($file, str_repeat(" ",40-strlen($nombreEmpresa)));
		fwrite($file, "01020759250000054933");
		fwrite($file, "08");
		fwrite($file, $fecha_pago);
		fwrite($file, str_repeat("0",13-strlen($monto_total_pagar)));
		fwrite($file, $monto_total_pagar);
		fwrite($file, "03291");
		fwrite($file, " ");

		fwrite($file, "\r\n");
				//REGISTRO: SEGUNDA LINEA //

				while ($row_emp_pag=mysqli_fetch_array($resul_emp_pagar)){
					$cedula = $row_emp_pag['cedula'];
					$monto = str_replace('.','',$row_emp_pag['monto']); //Monto total a pagar, se le quita el signo punto
					$concepto_monto = $row_emp_pag['concepto'];
					$cuenta_banco = $row_emp_pag['cuenta'];
					$tipo_cuenta = $row_emp_pag['tipo'];
					$tipo_cuenta = $tipo_cuenta - 1 ; ////para coincidir con el tipo en el txt ahorros=0, corriente = 1 Miguelangel
					$nacionalidad = $row_emp_pag['nacionalidad'];
					$nombres = preg_replace("/\s+/", " ", trim($row_emp_pag['nombres']));
					$correo = $row_emp_pag['mensaje'];
					$nomina = $row_emp_pag['nomina'];

					//fwrite($file,"2V"); //Constante

					//fwrite($file,"1000000000000               000000000000000"); //Constante
					fwrite($file,$tipo_cuenta);
					fwrite($file,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
					fwrite($file, str_pad($monto, 11, "0", STR_PAD_LEFT));
					fwrite($file,$tipo_cuenta);
					fwrite($file, "770");
					fwrite($file,str_pad($nombres, 40, " ", STR_PAD_RIGHT));
					fwrite($file,str_pad($cedula, 10, "0", STR_PAD_LEFT)); //Número de cedula
					fwrite($file, "003291");
					fwrite($file, "  ");

					fwrite($file,"\r\n"); //Nueva Linea

				}

		    fclose($file);
		    //fclose($fileOtros);
	}

  echo "<style>
  .regristrado{
      color: green;
      margin-left: 7%;
      font-weight: bold;
  }
  </style>";
  echo "<p class='regristrado' >Archivo provincial guardado correctamente <a href = 'generar_txt.php?file=$f';>Descargar</a><p>";
  //echo "<p class='regristrado' >Archivo otros bancos guardado correctamente <a href = 'generar_txt.php?file=$fo';>Descargar</a><p>";

  //echo "<a id='link1' target='_blank' href = 'generar_txt.php?file=$fo';></a>";
  echo "<a id='link2' target='_blank' href = 'generar_txt.php?file=$f';></a>";
  echo "<script> document.getElementById('link1').click(); document.getElementById('link2').click(); </script>";

?>
  </body>
</html>
